Bug 213846 - runcon and double-dash arg separator
runcon and double-dash arg separator
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: coreutils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-03 07:25 EST by Bryn M. Reeves
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 14:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Document use of '--' with runcon (644 bytes, patch)
2006-11-03 07:25 EST, Bryn M. Reeves
no flags Details | Diff
Correct documentation of command args and '--' (856 bytes, patch)
2006-11-03 07:39 EST, Bryn M. Reeves
no flags Details | Diff

  None (edit)
Description Bryn M. Reeves 2006-11-03 07:25:26 EST
Like other tools, runcon needs a '--' separator between the runcon arguments and
the arguments of the command to be run. This causes confusion for some users.

Documenting the use of '--' in the man page as sudo does would help, without
needing to change the way runcon parses its command line arguments.
Comment 1 Bryn M. Reeves 2006-11-03 07:25:28 EST
Created attachment 140240 [details]
Document use of '--' with runcon
Comment 2 Bryn M. Reeves 2006-11-03 07:37:15 EST
The man page is also broken in that it states "Any additional arguments after
COMMAND are interpreted as arguments to the command.", which does not reflect
current behavior.
Comment 3 Bryn M. Reeves 2006-11-03 07:39:10 EST
Created attachment 140241 [details]
Correct documentation of command args and '--'
Comment 4 Tim Waugh 2006-11-10 12:35:25 EST
Fixed in coreutils-5.97-14.fc7.  '\f8' corrected to '\fB'.
Comment 5 Bryn M. Reeves 2006-11-10 12:42:06 EST
latest coreutils release I can see in RHEL5 is coreutils-5.97-11.
Comment 6 RHEL Product and Program Management 2006-11-10 13:01:28 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 James Laska 2006-12-13 16:47:34 EST
Marking as VERIFIED based on comment#4
Comment 8 Jay Turner 2006-12-19 10:47:09 EST
Need to look at this one in more detail, as the latest RHEL5 tree includes
coreutils-5.97-12.1.el5.
Comment 9 Jay Turner 2006-12-19 14:24:22 EST
Fix confirmed with coreutils-5.97-12.1.el5 which is included in the latest RHEL5
trees.

Note You need to log in before you can comment on or make changes to this bug.